<template>
  <ContentScrollView :paddingH="false">
    <nut-form :model-value="form" ref="formRef" :rules="rules">
      <nut-form-item label="头像:" class="bole-form-item" prop="avatarUrl">
        <Uploader v-model:file-list="form.avatarUrl" :maximum="1" class="bole-uploader"> </Uploader>
      </nut-form-item>
      <nut-form-item label="姓名:" class="bole-form-item" prop="name">
        <nut-input v-model.trim="form.name" placeholder="请输入企业名称" />
      </nut-form-item>
      <nut-form-item label="手机号:" class="bole-form-item" prop="phone" required>
        <nut-input v-model.trim="form.phone" placeholder="请输入手机号" type="text" />
      </nut-form-item>
      <nut-form-item label="身份:" class="bole-form-item" prop="gender">
        <ChooseInputWithPicker
          v-model="form.gender"
          placeholder="请选择身份"
          :value-enum="TaskStatusText"
        />
      </nut-form-item>
      <nut-form-item label="学历:" class="bole-form-item" prop="gender">
        <ChooseInputWithPicker
          v-model="form.gender"
          placeholder="请选择学历"
          :value-enum="TaskStatusText"
        />
      </nut-form-item>
      <nut-form-item label="常驻城市:" class="bole-form-item" prop="gender">
        <ChooseInputWithPicker
          v-model="form.gender"
          placeholder="请选择常驻城市"
          :value-enum="TaskStatusText"
        />
      </nut-form-item>
    </nut-form>
  </ContentScrollView>
  <PageFooter>
    <PageFooterBtn type="primary" @click="handleConfirm">保存</PageFooterBtn>
  </PageFooter>
</template>

<script setup lang="ts">
import { FormRules } from '@nutui/nutui-taro/dist/types/__VUE/form/types';
import { ChooseInputWithPicker } from '@12333/components';
import { TaskStatusText, TaskStatus } from '@/constants';
import { convertApi2FormUrlOnlyOne } from '@12333/utils';
import { useUser } from '@/hooks';

defineOptions({
  name: 'InnerPage',
});

const { userDetail } = useUser();

const form = reactive({
  avatarUrl: convertApi2FormUrlOnlyOne(userDetail.value?.originalAvatarUrl),
  name: '',
  phone: '',
  gender: TaskStatus.All,
});

const rules = reactive<FormRules>({
  phone: [{ required: true, message: '请输入手机号' }],
});
const formRef = ref<any>(null);
function handleConfirm() {
  if (!formRef.value) return;
  formRef.value.validate().then(({ valid, errors }: any) => {
    if (valid) {
      confirm();
    }
  });
}

function confirm() {}
</script>

<style lang="scss">
@import '@/styles/common.scss';
</style>
